#ifndef SETTINGS_H
#define SETTINGS_H

#include "histogram.h"
#include "gps.h"
#include "compass.h"
#include "capture.h"
#include "camera.h"
#include "immage.h"



class Settings {
public:
	Settings();
	~Settings();

	bool init();
	bool save_settings();
	   
	//-----------------------------------
	//static varialbes, loaded form ini file
	//-----------------------------------

	int num_cfg;
	cam_config c_cfg[MAX_CONFIG];

	bool swap;
	bool timmerHack;
	bool vfHack;
	bool debug;
	bool nothrtl;
	bool status;
	bool disasm;
	bool stdOut;

	int dspMode;
	int threedMode;
	int pallet;
	int fSkip;
	int keyMap;
	int scale;

	char * emuPath;
	char * romPath;
	char * progPath;

protected:
	char * file_path;
	HANDLE * fHnd;

	char * getString(char * key, char * init);
	int getInt(char * key, int init);
	double getDouble(char * key, double init);

	void setString(char * key, char * val);
	void setInt(char * key, int val);
	void setDouble(char * key, double val);
	void procArgs();
};
#endif //SETTINGS_H